Secrets
Encrypted values for agent sandboxes — names and metadata only; values are never returned.
List secret names and metadata (values are never returned)
GET
/secretsScope
secrets:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/secrets" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a secret for agent sandboxes
POST
/secretsScope
secrets:manageWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
valuerequired | string |
description | string |
access | object |
access.mode | "all" | "selected" |
access.agents | array of string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/secrets" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…","value":"…","description":"…","access":{"mode":"all","agents":["…"]}}'Rotate a secret’s value or change its description / agent access
PATCH
/secrets/{id}Scope
secrets:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
value | string |
description | string |
access | object |
access.mode | "all" | "selected" |
access.agents | array of string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/secrets/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"value":"…","description":"…","access":{"mode":"all","agents":["…"]}}'Delete a secret
DELETE
/secrets/{id}Scope
secrets:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/secrets/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"